Loading...
Searching...
No Matches
Ogre::TerrainLayerSampler Struct Reference
Optional Components » Terrain

Description of a sampler that will be used with each layer. More...

`#include <OgreTerrainMaterialGenerator.h>`

## Public Member Functions

| TerrainLayerSampler ()
| TerrainLayerSampler (const String &aliasName, PixelFormat fmt)

## Public Attributes

String | alias
| A descriptive name that is merely used to assist in recognition.
PixelFormat | format
| The format required of this texture.

## Detailed Description

Description of a sampler that will be used with each layer.

## Constructor & Destructor Documentation

## TerrainLayerSampler() [1/2]

Ogre::TerrainLayerSampler::TerrainLayerSampler | ( |  | ) |

inline

References alias, format, and Ogre::PF_UNKNOWN.

## TerrainLayerSampler() [2/2]

Ogre::TerrainLayerSampler::TerrainLayerSampler | ( | const String & | aliasName,
|  | PixelFormat | fmt )

inline

References alias, and format.

## Member Data Documentation

## alias

String Ogre::TerrainLayerSampler::alias

A descriptive name that is merely used to assist in recognition.

Referenced by TerrainLayerSampler(), and TerrainLayerSampler().

## format

PixelFormat Ogre::TerrainLayerSampler::format

The format required of this texture.

Referenced by TerrainLayerSampler(), and TerrainLayerSampler().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h